Re: Unable to locate package dvswitch-server


David - W9DWH
 

I now have the DVswitch server installed but it is showing some errors.

root@dvswitch:~# apt-get install dvswitch-server
Reading package lists... Done
Building dependency tree
Reading state information... Done
dvswitch-server is already the newest version (1.6.0-20201029-7).
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 dvswitch-server : Depends: dvswitch-menu but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
root@dvswitch:~#

When I type apt-get -f install I get this:

root@dvswitch:~# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  dvswitch-menu
The following NEW packages will be installed:
  dvswitch-menu
0 upgraded, 1 newly installed, 0 to remove and 5 not upgraded.
28 not fully installed or removed.
Need to get 0 B/76.3 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
(Reading database ... 91894 files and directories currently installed.)
Preparing to unpack .../dvswitch-menu_1.6.1-20201220-113_all.deb ...
Unpacking dvswitch-menu (1.6.1-20201220-113) ...
dpkg: error processing archive /var/cache/apt/archives/dvswitch-menu_1.6.1-20201220-113_all.deb (--unpack):
 trying to overwrite '/usr/local/dvs/init_config.sh', which is also in package dvswitch-base 1.5-20200427-21
Errors were encountered while processing:
 /var/cache/apt/archives/dvswitch-menu_1.6.1-20201220-113_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

When I type DVS to start it I get command not found.


Join main@DVSwitch.groups.io to automatically receive all group messages.